function p=gMod(x,m,R)
  // p=gMod(x,m,R)   Multivariate Gaussian pdf

  // m - mean value
  // R - covariance matrix

  x=x(:);
  m=m(:);

  n=max(size(R));
  k=1/sqrt((2*$pi)^n*det(R));
  ex=(x-m)'*inv(R)*(x-m);
  p=k*exp(-.5*ex);
endfunction
