function g=genstp(ny,nd,a,f,m)
  // g=genstp(ny,nd,a,f)   generation of rectangular setpoint
  // ny         numb. of rows
  // nd         numb of columns
  // a          vector of amplitudes
  // f          frequency of switching
  //              if rand>f: switch
  // m          vertical shift
  
  g=zeros(ny,nd);
  for j=1:ny
    z=a(j); s=f(j); r=m(j);
    for i=1:nd
      g(j,i)=r+z;
      if rand(1,1,'unif')>s
        z=-z;
      end
    end
  end
endfunction  
